package database

import (
	"time"

	"github.com/moustachioed/dash/backend/database/models"
)

type Database interface {
	WriteJournalEntry(dbmodel models.Journal) error
	GetJournalEntryForDate(date time.Time) (models.Journal, error)
}
